package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysSystemUserDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 权限用户表 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@RestMappingController("sys-system-user")
public interface SysSystemUserService {

    /**
     * 登录
     *
     * @param login
     * @return
     */
    @PostMapping("login")
    R<String> login(@RequestBody @Validated SysSystemUserDto.Login login);

    /**
     * 注册
     *
     * @param login
     * @return
     */
    @PostMapping("register")
    R<Boolean> register(@RequestBody @Validated SysSystemUserDto.Login login);
}
